# Media Management

&#x20;The Media Management API is the only Way to create, update or modify "standard" Media Items or References. All other Endpoints, who may create Media Items only create Items in a UGC Context.

## Media Creation, Editing and Removal

## /fromurl

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/fromurl`

will create a new Media Item of the given Streamtype, if the given **`url`**&#x50;arameter contains a valid Source for the given Streamtype.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |

#### Request Body

| Name                                  | Type          | Description                                                                                                                                                               |
| ------------------------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| url<mark style="color:red;">\*</mark> | string        | the URL to download the Source                                                                                                                                            |
| useQueue                              | boolean       | if set to 1, the Download will be queued and the Endpoint will create a "planned" Media Item. Should be used on large Files and especially on Video Items.                |
| queueStart                            | number        | UNIX Timestamp - if Queue is used, start the Import at the given Time                                                                                                     |
| transcodeInBackground                 | boolean       | if set to 1, the file transcoding will be paused until enough system resources are available (for Video, Audio and Variant).                                              |
| asVariantFor                          | string        | \[facebook, instagram, twitter, vimeo, youtube, externalview, tiktok] if Streamtype is a Video, create a new Variant of the given Video with this given Target Platform.  |
| asVariantOf                           | integer       | if Streamtype is Video, create a new Variant for the given Video.                                                                                                         |
| autoPublish                           | boolean       | if set, the Media Item will be automatically published/not published. If omitted, the Domain Settings will be applied.                                                    |
| refnr                                 | string        | an internal Reference for the calling Domain                                                                                                                              |
| origin                                | string        | a 3Q nexx Reference for an Origin Source.                                                                                                                                 |
| originReference                       | string        | if given a valid 3Q nexx Origin Source and this Source has its own Reference Ids, this can be defined here.                                                               |
| filename                              | string        | if the original Filename should be stored, send it with this Parameter                                                                                                    |
| language                              | 2-Letter Code | if set and valid, the Media Item (if Video or Audio) will use this Language as Source Language. This may have Effects on automatic Captions and/or Video Detail Analysis. |
| notes                                 | string        | optional Hints and Notes for this Upload for later Inspection                                                                                                             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /fromdata

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/fromdata`

will create a new Media Item of the given Streamtype,  if the Streamtype is not based on a File (like an Article for example).

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |

#### Request Body

| Name                                    | Type    | Description                                                                                                            |
| --------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------- |
| title<mark style="color:red;">\*</mark> | string  | the Title of the new Item                                                                                              |
| autoPublish                             | boolean | if set, the Media Item will be automatically published/not published. If omitted, the Domain Settings will be applied. |
| refnr                                   | string  | an internal Reference for the calling Domain                                                                           |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Please notice, that the Streamtypes "**Person**" and "**Group**" needs slightly different Parameters:

**name** or **artistname** instead of **title**

**gender** \[m, f, n] (only if Person)

**type** \[PersonType Enum] optional, will default to Domain default Type, if omitted
{% endhint %}

## /fromtopic

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/fromtopic`

will create a new Media Item of the given Streamtype,  if the Streamtype is a valid Single-Streamtype Container (Playlist, Album, Audio Album and Magazine are currently supported). \
\
In Contrast to the /fromdata Endpoint, the Result of this Method is a Topic Container. A Topic Container is a Container, which contains of Elements, that were appended automatically by a certain Logic.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |

#### Request Body

| Name         | Type    | Description                                                                                                                                                                               |
| ------------ | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| title        | string  | the Title of the new Item                                                                                                                                                                 |
| itemSource   | string  | if a topic is defined, Source for the Entries is Media Search, otherwise, itemSource is obligatory \[topitems, topitemsexternal, mostliked, mostcommented, bestrated, mostactive, picked] |
| topic        | string  | the Key Words for the Search for Items in this Container - only necessary, if itemSource is empty.                                                                                        |
| duration     | integer | the target Duration in Minutes of the Container (only for Playlists and Audio Albums)                                                                                                     |
| items        | integer | the target Amount of Container Items (only for Albums and Magazines)                                                                                                                      |
| searchMode   | string  | the desired Way of Searching for finding optimal Items \[classicwithand, classicwithor, fulltext]                                                                                         |
| searchFields | string  | if set, the Search will only be performed on the given List of Attribute (comma seperated), otherwise, all Attributes will be searched                                                    |
| channel      | integer | an optional Restriction for the selected Child Items                                                                                                                                      |
| format       | integer | an optional Restriction for the selected Child Items                                                                                                                                      |
| category     | iteger  | an optional Restriction for the selected Child Items                                                                                                                                      |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /update

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/update`

will update the general Metadata of a Media Item.&#x20;

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

The List of all supported Attributes and possible Values can always be found via API on the **/system/editableattributesfor/:streamtype** Endpoint.

{% content-ref url="system-endpoint" %}
[system-endpoint](https://api.docs.nexx.cloud/management-api/endpoints/system-endpoint)
{% endcontent-ref %}

## /updaterestrictions

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updaterestrictions`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

The List of all supported Attributes and possible Values can always be found via API on the **/system/editablerestrictionsfor/:streamtype** Endpoint.

{% content-ref url="system-endpoint" %}
[system-endpoint](https://api.docs.nexx.cloud/management-api/endpoints/system-endpoint)
{% endcontent-ref %}

## /updatefile

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updatefile`

will restart all File Procesing. In Contrast to the /**fromurl** Method, this Method will always be performed via Queue.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name | Type   | Description                             |
| ---- | ------ | --------------------------------------- |
| url  | string | the URL to download the new Source from |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /updatecontent

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updatecontent`

only necessary for TTS Audio. This endpoint will re-create the Audio File on the current TTS Content. It is also possible to update the Text Content, if the corresponding Parameters are set.

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Request Body

| Name        | Type                   | Description                                                                                                                                                            |
| ----------- | ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| title       | string                 | will be used in Speech, if set                                                                                                                                         |
| subtitle    | string                 | will be used in Speech, if set                                                                                                                                         |
| teaser      | string                 | will be used in Speech, if set                                                                                                                                         |
| textcontent | String                 | will be used in Speech, if set                                                                                                                                         |
| language    | 2-Letter Language Code |                                                                                                                                                                        |
| voice       | Voice ID               | if set, will override the currently used Voice. You can find a List of all Voices on /system/ttsvoices - please notice, that the "ID" of these Voices are not numeric! |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /updateaudiorepresentation

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updateaudiorepresentation`

only necessary for Articles. This Endpoint will create/update an Audio Representation of the Article for "reading" Purposes. The correseponding Audio is not a valid Audio Object itself. &#x20;

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Request Body

| Name             | Type | Description                    |
| ---------------- | ---- | ------------------------------ |
| includeTitle     | bool | will be used in Speech, if set |
| includeSubtitle  | bool | will be used in Speech, if set |
| includeTeaser    | bool | will be used in Speech, if set |
| includeFragments | bool | will be used in Speech, if set |

{% tabs %}
{% tab title="200 " %}

{% endtab %}
{% endtabs %}

## /approve

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/approve`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name                     | Type    | Description                                                                                                                                            |
| ------------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| andClaim                 | boolean | only valid on UGC Elements. If an Approval also claims the Media Item, the Item will lose its UGC Flag and become an "standard" Media Item afterwards. |
| reason                   | string  | a free Text as Reason                                                                                                                                  |
| restrictToAge            | integer | restrict the Item to a dedicated Age Class (verify the Age Class Constants under **/updaterestrictions**)                                              |
| contentModerationAspects | string  | flag the Item with certain Warning (verify the Constants under **/updaterestrictions**)                                                                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /reject

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/reject`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name   | Type   | Description                                                                                 |
| ------ | ------ | ------------------------------------------------------------------------------------------- |
| reason | string | a free Text as Reason                                                                       |
| action | string | \[delete, archive, block, newversion] how to handle the rejected Media Item after Rejection |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /publish

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/publish`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /unpublish

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/unpublish`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name                  | Type    | Description                                                                                                  |
| --------------------- | ------- | ------------------------------------------------------------------------------------------------------------ |
| blockFuturePublishing | boolean | if set to 1, any call to the **/publish** Method will fail, unless the **/unblock** Endpoint has been called |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /unblock

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/unblock`

enables a previously blocked Item to Publishing again.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /transfertodomain

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/transfertodomain/:domainid`

this Method copies (or moves) a Media Item to another Domain (in the same Network or in a List of previously defined Target Domains)

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name              | Type    | Description                                                                                           |
| ----------------- | ------- | ----------------------------------------------------------------------------------------------------- |
| andDeleteOriginal | boolean | if set to 1, the Copy Operation will become a Move Operation and removes the original File afterwards |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /pick

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/pick`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name  | Type    | Description                                                            |
| ----- | ------- | ---------------------------------------------------------------------- |
| index | integer | \[1-31] to create an Order between picked Elements, set this Parameter |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /unpick

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/unpick`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /setasnew

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/setasnew`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /reorder

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/reorder`

Only valid for Container Elements

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name               | Type   | Description                                                                                                                                                                                                                                                                  |
| ------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| itemlist           | string | a Comma seperated List of the new Item IDs in the desired new Order. Please notice, that for Collections and Sets, the Item IDs are NOT the Media Item IDs, but the Reference IDs within the current Container (as they can hold various Streamtypes, the ID is not enough). |
| autoorder          | string | \[title, subtitle, created, uploaded, releasedate, runtime, filesize, random] automatically order the Container by the given Child Attribute (or shuffle it by random)                                                                                                       |
| autoorderdirection | string | \[ASC, DESC] if using AutoOrder, set the Sort Order                                                                                                                                                                                                                          |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /reencode

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/reencode`

For Videos and Audio Files - keep the current File, but start Transcoding again.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

#### Request Body

| Name   | Type   | Description                                                     |
| ------ | ------ | --------------------------------------------------------------- |
| reason | string | a human readable Explanation, why the Transcoding was restarted |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /analyzedetails

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/analyzedetails`

For Videos and Audio Files - start a Detail Analysis Process.

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /archive

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/archive`

only supported on Videos

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/terminate

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/:item/terminate`

only supported on LiveStreams

#### Path Parameters

| Name | Type    | Description        |
| ---- | ------- | ------------------ |
| item | integer | the target Item ID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/updateplaybackstate

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/:item/updateplaybackstate`

only supported on LiveStreams

#### Path Parameters

| Name | Type    | Description        |
| ---- | ------- | ------------------ |
| item | integer | the target Item ID |

#### Request Body

| Name  | Type   | Description                                   |
| ----- | ------ | --------------------------------------------- |
| state | string | \[on,. pause] the new State of the LiveStream |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/startrecording

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/:item/startrecording`

only supported on LiveStreams

#### Path Parameters

| Name | Type    | Description        |
| ---- | ------- | ------------------ |
| item | integer | the target Item ID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/stoprecording

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/:item/stoprecording`

only supported on LiveStreams

#### Path Parameters

| Name | Type    | Description        |
| ---- | ------- | ------------------ |
| item | integer | the target Item ID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /remove

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/remove`

#### Path Parameters

| Name       | Type   | Description                       |
| ---------- | ------ | --------------------------------- |
| streamtype | string | the Streamtype of the target Item |
| item       | number | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Streamtype specific Media Creation

## /videos/fromvideo

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/videos/fromvideo/:videoid`

extracts a new Highlight Video from a given Video

#### Path Parameters

| Name                                      | Type    | Description      |
| ----------------------------------------- | ------- | ---------------- |
| videoid<mark style="color:red;">\*</mark> | integer | a valid Video ID |

#### Request Body

| Name         | Type    | Description                                                         |
| ------------ | ------- | ------------------------------------------------------------------- |
| duration     | number  | the target Duration of the Highlight Video                          |
| includeAudio | boolean | set to 1, if Audio from the Source Video should be included         |
| purpose      | boolean | \[video, variant, trailer, bonus] the Purpose/Type of the new Video |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/fromliveconnection

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/fromliveconnection/:liveconnectionid`

creates a new LiveStream for a given, native LiveConnection

#### Path Parameters

| Name                                               | Type    | Description               |
| -------------------------------------------------- | ------- | ------------------------- |
| liveconnectionid<mark style="color:red;">\*</mark> | integer | a valid LiveConnection ID |

#### Request Body

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| title | string | the Title of the LiveStream                 |
| type  | string | \[event,247] the Type of the new LiveStream |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/fromautoliveconnection

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/fromautoliveconnection`

creates a new LiveStream without an explicit LiveConnection(will be created automatically). This Endpoint is only available, if the calling Domain has "automatic LiveConnection" Feature enabled.

#### Request Body

| Name       | Type    | Description                                               |
| ---------- | ------- | --------------------------------------------------------- |
| title      | string  | the Title of the new LiveStream                           |
| type       | string  | \[event, 247] - the Type of the new LiveStream            |
| sourceType | string  | \[rtmp, srt] - the sourceType for the new LiveStream      |
| enableDVR  | boolean | if set to 1, the new LiveStream will support DVR Features |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/fromremote

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/fromremote`

creates a new LiveStream from a given external Streaming URL

#### Request Body

| Name               | Type    | Description                                                |
| ------------------ | ------- | ---------------------------------------------------------- |
| hlsURL             | string  | the HLS URL of the Source Stream                           |
| dashURL            | string  | the DASH URL of the Source Stream                          |
| title              | string  | the Title of the LiveStream                                |
| type               | string  | \[event,247] the Type of the new LiveStream                |
| supportsLowLatency | \[0, 1] | if the Stream supports LowLatency, set this Parameter to 1 |
| supportsDVR        | \[0, 1] | if the Stream supports DVR, set this Parameter to 1        |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /live/fromvideo

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/live/fromvideo:videoid`

creates a new LiveStream by streaming an existing Video at a specific time

#### Path Parameters

| Name                                      | Type | Description                 |
| ----------------------------------------- | ---- | --------------------------- |
| videoid<mark style="color:red;">\*</mark> | int  | the ID of an existing Video |

#### Request Body

| Name                                             | Type   | Description                                                           |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------- |
| title                                            | string | the Title of the LiveStream, the Video Title will be used otherwise   |
| liveConnection<mark style="color:red;">\*</mark> | int    | the ID of an existing LiveConnection, the LiveStream should start on. |
| start<mark style="color:red;">\*</mark>          | int    | the timestamp where the LiveStream will start publically.             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /scenes/fromvideo

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/scenes/fromvideo/:videoid`

create a new Scene of the given Video

#### Path Parameters

| Name    | Type    | Description      |
| ------- | ------- | ---------------- |
| videoid | integer | a valid Video ID |

#### Request Body

| Name    | Type   | Description                                                                      |
| ------- | ------ | -------------------------------------------------------------------------------- |
| from    | number | start Point of the Scene (in Seconds)                                            |
| until   | number | end Point of the Scene (in Seconds)                                              |
| title   | string | the Scene Title                                                                  |
| purpose | string | \[opening, recap, chapter, credits] the Type of Scene, defaults to "**chapter**" |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /audio/fromvideo

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/audio/fromvideo/:videoid`

extracts a new Audio File from a given Video

#### Path Parameters

| Name    | Type    | Description      |
| ------- | ------- | ---------------- |
| videoid | integer | a valid Video ID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /audio/fromcaption

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/audio/fromcaption/:captionid`

create a new Audio File by Text-to-Speech AI of the given Caption (of any kind of Media)

#### Path Parameters

| Name      | Type    | Description        |
| --------- | ------- | ------------------ |
| captionid | integer | a valid Caption ID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /audio/fromtext

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/audio/fromtext`

create a new Audio File by Text-to-Speech AI of the given Text.

#### Request Body

| Name                                          | Type     | Description                                                                                                                                                            |
| --------------------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| language                                      | string   | interpret the Text in the given Language (defaults to Domain Default Language, if omitted)                                                                             |
| voice                                         | Voice ID | if set, will override the currently used Voice. You can find a List of all Voices on /system/ttsvoices - please notice, that the "ID" of these Voices are not numeric! |
| textcontent<mark style="color:red;">\*</mark> | String   | will be used in Speech, if set                                                                                                                                         |
| teaser                                        | String   | will be used in Speech, if set                                                                                                                                         |
| subtitle                                      | String   | will be used in Speech, if set                                                                                                                                         |
| title                                         | String   | will be used in Speech, if set                                                                                                                                         |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /radio/fromliveconnection

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/radio/fromliveconnection/:liveconnectionid`

creates a new Radio for a given, native LiveLink.

#### Path Parameters

| Name       | Type    | Description        |
| ---------- | ------- | ------------------ |
| livelinkid | integer | a valid LiveLinkID |

#### Request Body

| Name  | Type   | Description                            |
| ----- | ------ | -------------------------------------- |
| title | string | the Title of the Radio                 |
| type  | string | \[event,247] the Type of the new Radio |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /radio/fromautoliveconnection

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/radio/fromautoliveconnection`

creates a new Radio without a n explicit LiveLink (will be created automatically). This Endpoint is only available, if the calling Domain has the "automatic LiveLink" Feature enabled.

#### Request Body

| Name  | Type   | Description            |
| ----- | ------ | ---------------------- |
| title | string | the Title of the Radio |
| type  | string | \[event,247] the Type  |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /radio/fromremote

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/radio/fromremote`

creates a new Radio from a given external URL

#### Request Body

| Name    | Type   | Description                            |
| ------- | ------ | -------------------------------------- |
| mp3URL  | string | the URL of the (MP3) Stream            |
| title   | string | the Title of the Radio                 |
| type    | string | \[event,247] the Type of the new Radio |
| opusURL | string | the URL of the (OPUS) Stream           |
| aacURL  | string | the URL of the (AAC) Stream            |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /images/fromvideo

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/images/fromvideo/:videoid`

extracts a new Image from a given Video

#### Path Parameters

| Name    | Type    | Description      |
| ------- | ------- | ---------------- |
| videoid | integer | a valid Video ID |

#### Request Body

| Name       | Type    | Description                                                             |
| ---------- | ------- | ----------------------------------------------------------------------- |
| from       | number  | take the Image on the given Time (in Seconds)                           |
| until      | number  | create an animated Gif, if this Parameter is set (in Seconds)           |
| title      | string  | the Image Title                                                         |
| useAsCover | boolean | if set to 1, apply the created Image as Cover for the referenced Video. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /posts/fromtext

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/posts/fromtext`

as the Streamtype "post" only includes external Contents, this Endpoint is closely related to a Media Export. Technically, this Endpoint posts the given Content directly to the given Account and creates a nexxOMNIA Social Post Item out of it. Supported Accounts are Accounts of the Types \[**facebook**, **twitter**]

#### Request Body

| Name      | Type    | Description                                                  |
| --------- | ------- | ------------------------------------------------------------ |
| account   | string  | the ID of a valid Domain Account                             |
| postText  | integer | the Text of the Post                                         |
| postImage | integer | the (optional) ID of an existing Image to attach to the Post |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
There is also an Endpoint to implicitely create Posts by sharing the Link of a Media Item to a Platform instead of physically exporting it. You will find the **/exportaspost** Endpoint under **Media Export Management.**
{% endhint %}

## Cover Management

## /cover

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/cover`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| decription    | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | number  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | additional Copyright Information for the Cover                                                                                                 |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /alternativecover

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/alternativecover`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| description   | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | string  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /abtestalternative

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/abtestalternative`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| description   | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | number  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /actionshot

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/actionshot`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| description   | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | number  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /quadcover

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/quadcover`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| description   | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | number  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /banner

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/banner`

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| description   | string  | an optional Description for the Cover                                                                                                          |
| fromTime      | number  | obligatory, if url is empty. If Streamtype is Video, Variant or Scene, take a Screenshot from the given Timestamp of the File itself.          |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /artwork

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/artwork`

An Artwork must be a transparent PNG File, that represents the Title. Therefore, a description and a creation from a Timestamp is not possible.

#### Path Parameters

| Name                                         | Type   | Description                       |
| -------------------------------------------- | ------ | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | number | the target Item ID                |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                    |
| ------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| url           | string  | the URL to download the Cover from                                                                                                             |
| assetLanguage | string  | if the Domain supports MultiLanguage Assets, this Cover will be used only in Contexts with this given Language and not override the main Cover |
| description   | string  | an optional Description for the Cover                                                                                                          |
| copyright     | string  | an optional Copyright for the Cover                                                                                                            |
| isAIGenerated | \[0, 1] | if set to 1, the System will assume, that this Asset has been generated by an AI                                                               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Multi Language Management

### TextTracks

## /texttrackfromurl

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/texttrackfromurl`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |

#### Request Body

| Name     | Type                                 | Description                                             |
| -------- | ------------------------------------ | ------------------------------------------------------- |
| url      | string                               | the URL to download the Caption File from               |
| language | string                               | valid 2-Letter-Code of the Language of the Caption File |
| title    | string                               | the Title of this Caption (defaults to Language Name)   |
| role     | \["subtitles", "captions", "forced"] | the role for the uploaded Caption Data                  |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /texttrackfromspeech

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/texttrackfromspeech`

This Endpoint will create a new Text Track via AI from the spoken Audio.

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /translatetexttrackto

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/translatetexttrackto/:language`

will translate the main Translations (of the Source Langauge) automatically and create a new Text Track in the target Language.

#### Path Parameters

| Name       | Type    | Description                                   |
| ---------- | ------- | --------------------------------------------- |
| streamtype | string  | the Streamtype of the target Item             |
| item       | integer | the target Item ID                            |
| language   | integer | 2-Letter-Code of the Language to translate to |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removetexttrack

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removetexttrack`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Request Body

| Name     | Type   | Description                                                                                                         |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------- |
| language | string | the 2-Letter-Code of the Language of the Captions, that shall be removed                                            |
| role     | string | the TextTrack with the given Language AND the given Role will be removed (role defaults to "subtitles", if omitted) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### Translations

## /translateto

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/translateto/:language`

will translate the textual Media Metadata automatically and add a corresponding MultiLanguage Attribute on the Item.

#### Path Parameters

| Name       | Type    | Description                                   |
| ---------- | ------- | --------------------------------------------- |
| streamtype | string  | the Streamtype of the target Item             |
| item       | integer | the target Item ID                            |
| language   | integer | 2-Letter-Code of the Language to translate to |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /addtranslation

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtranslation`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |

#### Request Body

| Name        | Type   | Description                                                           |
| ----------- | ------ | --------------------------------------------------------------------- |
| language    | string | the 2-Letter Code of the Langage for the MultiLanguage Item to create |
| title       | string | the translated Title                                                  |
| subtitle    | string | the translated Subtitle                                               |
| teaser      | string | the translated Teaser                                                 |
| description | string | the translated Description (or Text Content)                          |
| orderhint   | string | the translated Orderhint                                              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The Streamtype "**article**" has no "**description**", but a "**textcontent**". If the target Streamtype is "**article**", use "**textcontent**" instead of "**description**".
{% endhint %}

## /updatetranslation

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updatetranslation`

This Endpoint will update a specific MultiLanguage Set. It takes the same Parameter as the /addtranslation Endpoint, but will update the corresponding Set, if found.

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                       | Type   | Description                                                          |
| ------------------------------------------ | ------ | -------------------------------------------------------------------- |
| language<mark style="color:red;">\*</mark> | string | the 2-Letter-Code of the Language of the MultiLanguage Set to update |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removetranslation

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removetranslation`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                       | Type   | Description                                                          |
| ------------------------------------------ | ------ | -------------------------------------------------------------------- |
| language<mark style="color:red;">\*</mark> | string | the 2-Letter-Code of the Language of the MultiLanguage Set to delete |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Container Management

## /addtocontainer

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtocontainer/:containerid`

add the given Item to the given Container - Container in this Case is the default Container Streamtype.

#### Path Parameters

| Name        | Type    | Description                       |
| ----------- | ------- | --------------------------------- |
| streamtype  | string  | the Streamtype of the target Item |
| item        | integer | the target Item ID                |
| containerid | integer | the Container ID                  |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /addtocollection

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtocollection/:collectionid`

add the given Item to the given Collection - Collections support only Video, Audio, Image, Articles and Files as Child Streamtype.

#### Path Parameters

| Name         | Type    | Description                       |
| ------------ | ------- | --------------------------------- |
| streamtype   | string  | the Streamtype of the target Item |
| item         | integer | the target Item ID                |
| collectionid | integer | the Collection ID                 |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /addtoset

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtoset/:setid`

add the given Item to the given Set - Sets support only Videos and Scenes as Child Streamtype.

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| setid      | integer | the Set ID                        |

#### Query Parameters

| Name    | Type   | Description                                                                      |
| ------- | ------ | -------------------------------------------------------------------------------- |
| purpose | String | optional Purpose (must be one of \[teaser,makingof,behindthescenes,highlights ]) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /addtorack

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtorack/:rackid`

add the given Item to the given Rack - Rackssupport only Videos and Live Streams as Child Streamtype (and those cannot be mixed)

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |
| rackd<mark style="color:red;">\*</mark>      | integer | the Rack ID                       |

#### Query Parameters

| Name    | Type  | Description                                                                                                                                                                     |
| ------- | ----- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| purpose | Sting | optonal Description of this Item. Can be free String, if the Rack handles Video Alternatives, must be a valid 2-Letter-Language  Code, if the Rack contains Audio Alternatives. |

{% tabs %}
{% tab title="200 " %}

{% endtab %}
{% endtabs %}

## /addtobundle

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addtobundle/:bundleid`

add the given Item to the given Bundle

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| bundleid   | integer | the Bundle ID                     |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefromcontainer

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefromcontainer/:containerid`

removes the given Item from the given Container, if it was added to that before.

#### Path Parameters

| Name        | Type    | Description                       |
| ----------- | ------- | --------------------------------- |
| streamtype  | string  | the Streamtype of the target Item |
| item        | integer | the target Item ID                |
| containerid | integer | the Container ID                  |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefromcollection

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefromcollection/:collectionid`

removes the given Item from the given Collection, if it was added to that before.

#### Path Parameters

| Name         | Type    | Description                       |
| ------------ | ------- | --------------------------------- |
| streamtype   | string  | the Streamtype of the target Item |
| item         | integer | the target Item ID                |
| collectionid | integer | the Collection ID                 |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefromset

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefromset/:setid`

removes the given Item from the given Set, if it was added to that before.

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| setid      | integer | the Set ID                        |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefromrack

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefromrack/:rackid`

removes the given Item from the given Rack, if it was added to that before.

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |
| rackd<mark style="color:red;">\*</mark>      | integer | the Rack ID                       |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefrombundle

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefrombundle/:bundleid`

removes the given Item from the given Bundle, if it was added to that before.

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| bundleid   | integer | the Bundle ID                     |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Media Connections

### HotSpots

## /addhotspot

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addhotspot`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Request Body

| Name                                   | Type    | Description                                                                                                     |
| -------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------- |
| type<mark style="color:red;">\*</mark> | string  | \[text, link, interstitial, video, banner, seek] the Type of the new HotSpot                                    |
| autoPosition                           | boolean | if set to 1, the HotSpot will be automatically placed. If set to 0, an X/Y Position must be given               |
| from<mark style="color:red;">\*</mark> | int     | the Start for the new HotSpot in Seconds within the Duration of the target Media                                |
| to<mark style="color:red;">\*</mark>   | int     | the End for the new HotSpot in Seconds within the Duration of the target Media                                  |
| xPos                                   | int     | the center of the HotSpot should be positioned at xPos % of the Player Width                                    |
| yPos                                   | int     | the center of the HotSpot should be positioned at yPos % of the Player Height                                   |
| maxWidth                               | int     | if type is "banner", this is the maximal Width in % of the Banner to occupy within the Player                   |
| linkedVideo                            | int     | the ID of a valid, existing Video - only necessary, if type if "video"                                          |
| showCover                              | int     | if type is "video", set this to 1 to show the Cover of the Video within the HotSpot                             |
| title                                  | String  | the visible Title of the HotSpot                                                                                |
| subtitle                               | String  | the visible second Line of the HotSpot                                                                          |
| link                                   | String  | if type of the HotSpot is "link", the Target URL of this HotSpot (can optionally also be used on type "banner)  |
| detailText                             | String  | if type of the HotSpot is "interstitial", the raw Text to show on the Detail Page after Click (HTML is allowed) |
| imageURL                               | String  | if Type of the HotSpot is "banner", this is the URL of the Image to show                                        |
| seekTarget                             | Float   | if Type of the HotSpot is "seek", this is target time within the Media Runtime to seek on Click                 |
| detailTitle                            | String  | if type of the HotSpot is "interstitial", the Title of the Detail Page after Click                              |

{% tabs %}
{% tab title="200 " %}

{% endtab %}
{% endtabs %}

## /updatehotspot

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updatehotspot`

This Endpoint will update a specific HotSpot. It takes the same Parameter as the /addhotspot Endpoint, but will update the corresponding HotSpot, if found.

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                        | Type    | Description                     |
| ------------------------------------------- | ------- | ------------------------------- |
| hotspotid<mark style="color:red;">\*</mark> | integer | the ID of the HotSpot to update |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removehotspot

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removehotspot`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                        | Type    | Description                     |
| ------------------------------------------- | ------- | ------------------------------- |
| hotspotid<mark style="color:red;">\*</mark> | integer | the ID of the HotSpot to delete |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### Awards

## /addaward

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addaward`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Request Body

| Name                                    | Type   | Description                                                      |
| --------------------------------------- | ------ | ---------------------------------------------------------------- |
| award<mark style="color:red;">\*</mark> | string | the Name of the new Award                                        |
| category                                | string | the Name of a Category within the Award                          |
| state                                   | string | \[nominee,winner] the Status of this Award, defaults to "winner" |
| date                                    | string | \[YYYY-MM-DD] the Date, the Award was given or announced         |

{% tabs %}
{% tab title="200 " %}

{% endtab %}
{% endtabs %}

## /updateaward

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/updateaward`

This Endpoint will update a specific Award. It takes the same Parameter as the /addaward Endpoint, but will update the corresponding Award, if found.

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                      | Type    | Description                   |
| ----------------------------------------- | ------- | ----------------------------- |
| awardid<mark style="color:red;">\*</mark> | integer | the ID of the Award to update |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removeaward

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removeaward`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                      | Type    | Description                   |
| ----------------------------------------- | ------- | ----------------------------- |
| awardid<mark style="color:red;">\*</mark> | integer | the ID of the Award to delete |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### License Notes

## /addlicensenote

<mark style="color:green;">`POST`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/addlicensenote`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Request Body

| Name                                   | Type   | Description                     |
| -------------------------------------- | ------ | ------------------------------- |
| note<mark style="color:red;">\*</mark> | string | the Note itself as (plain) Text |

{% tabs %}
{% tab title="200 " %}

{% endtab %}
{% endtabs %}

## /removelicensenote

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removelicensenote`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |

#### Query Parameters

| Name                                            | Type    | Description                          |
| ----------------------------------------------- | ------- | ------------------------------------ |
| licensenoteid<mark style="color:red;">\*</mark> | integer | the ID of the License Note to delete |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### existing Media

## /connectlink

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectlink/:linkid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| linkid     | integer | the  target Link ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectfile

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectfile/:fileid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| fileid     | integer | the  target File ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectperson

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectperson/:personid`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |
| personid<mark style="color:red;">\*</mark>   | integer | the  target Person ID             |

#### Query Parameters

| Name    | Type   | Description                                                                                  |
| ------- | ------ | -------------------------------------------------------------------------------------------- |
| purpose | String | optional Description for this Person on that Media (e.g. a Role in case of an Actor/Actress) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectgroup

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectgroup/:groupid`

#### Path Parameters

| Name                                         | Type    | Description                       |
| -------------------------------------------- | ------- | --------------------------------- |
| streamtype<mark style="color:red;">\*</mark> | string  | the Streamtype of the target Item |
| item<mark style="color:red;">\*</mark>       | integer | the target Item ID                |
| groupid<mark style="color:red;">\*</mark>    | integer | the  target Group ID              |

#### Query Parameters

| Name    | Type   | Description                                       |
| ------- | ------ | ------------------------------------------------- |
| purpose | String | optional Description for this Group on that Media |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectshow

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectshow/:showid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| showid     | integer | the  target Show ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectplace

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectplace/:placeid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| placeid    | integer | the  target Place ID              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /connectproduct

<mark style="color:orange;">`PUT`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/connectproduct/:productid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| productid  | integer | the  target Product ID            |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removelink

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removelink/:linkid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| linkid     | integer | the  target Link ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removefile

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removefile/:fileid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| fileid     | integer | the  target File ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removeperson

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removeperson/:personid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| personid   | integer | the  target Person ID             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removegroup

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removegroup/:groupid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| groupid    | integer | the  target Group ID              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removeshow

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removeshow/:showid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| showid     | integer | the  target Show ID               |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removeplace

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removeplace/:placeid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| placeid    | integer | the  target Place ID              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /removeproduct

<mark style="color:red;">`DELETE`</mark> `https://api.nexx.cloud/v3.1/manage/:streamtype/:item/removeproduct/:productid`

#### Path Parameters

| Name       | Type    | Description                       |
| ---------- | ------- | --------------------------------- |
| streamtype | string  | the Streamtype of the target Item |
| item       | integer | the target Item ID                |
| productid  | integer | the  target Place ID              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}
